# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20012(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'default_org_id': 'str',
        'is_federated': 'bool',
        'linked_user_id_account': 'str',
        'customer_number': 'str',
        'locale': 'str',
        'language': 'str',
        'user_id': 'str',
        'username': 'str',
        'acct': 'str',
        'email': 'str',
        'metadata': 'CspgatewayamapiloggedinuserprofileMetadata',
        'created_at': 'int',
        'preferred_theme': 'str'
    }

    attribute_map = {
        'default_org_id': 'defaultOrgId',
        'is_federated': 'isFederated',
        'linked_user_id_account': 'linkedUserIdAccount',
        'customer_number': 'customerNumber',
        'locale': 'locale',
        'language': 'language',
        'user_id': 'userId',
        'username': 'username',
        'acct': 'acct',
        'email': 'email',
        'metadata': 'metadata',
        'created_at': 'createdAt',
        'preferred_theme': 'preferredTheme'
    }

    def __init__(self, default_org_id=None, is_federated=None, linked_user_id_account=None, customer_number=None, locale=None, language=None, user_id=None, username=None, acct=None, email=None, metadata=None, created_at=None, preferred_theme=None):  # noqa: E501
        """InlineResponse20012 - a model defined in Swagger"""  # noqa: E501
        self._default_org_id = None
        self._is_federated = None
        self._linked_user_id_account = None
        self._customer_number = None
        self._locale = None
        self._language = None
        self._user_id = None
        self._username = None
        self._acct = None
        self._email = None
        self._metadata = None
        self._created_at = None
        self._preferred_theme = None
        self.discriminator = None
        if default_org_id is not None:
            self.default_org_id = default_org_id
        if is_federated is not None:
            self.is_federated = is_federated
        if linked_user_id_account is not None:
            self.linked_user_id_account = linked_user_id_account
        if customer_number is not None:
            self.customer_number = customer_number
        if locale is not None:
            self.locale = locale
        if language is not None:
            self.language = language
        if user_id is not None:
            self.user_id = user_id
        if username is not None:
            self.username = username
        if acct is not None:
            self.acct = acct
        if email is not None:
            self.email = email
        if metadata is not None:
            self.metadata = metadata
        if created_at is not None:
            self.created_at = created_at
        if preferred_theme is not None:
            self.preferred_theme = preferred_theme

    @property
    def default_org_id(self):
        """Gets the default_org_id of this InlineResponse20012.  # noqa: E501


        :return: The default_org_id of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._default_org_id

    @default_org_id.setter
    def default_org_id(self, default_org_id):
        """Sets the default_org_id of this InlineResponse20012.


        :param default_org_id: The default_org_id of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._default_org_id = default_org_id

    @property
    def is_federated(self):
        """Gets the is_federated of this InlineResponse20012.  # noqa: E501


        :return: The is_federated of this InlineResponse20012.  # noqa: E501
        :rtype: bool
        """
        return self._is_federated

    @is_federated.setter
    def is_federated(self, is_federated):
        """Sets the is_federated of this InlineResponse20012.


        :param is_federated: The is_federated of this InlineResponse20012.  # noqa: E501
        :type: bool
        """

        self._is_federated = is_federated

    @property
    def linked_user_id_account(self):
        """Gets the linked_user_id_account of this InlineResponse20012.  # noqa: E501


        :return: The linked_user_id_account of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._linked_user_id_account

    @linked_user_id_account.setter
    def linked_user_id_account(self, linked_user_id_account):
        """Sets the linked_user_id_account of this InlineResponse20012.


        :param linked_user_id_account: The linked_user_id_account of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._linked_user_id_account = linked_user_id_account

    @property
    def customer_number(self):
        """Gets the customer_number of this InlineResponse20012.  # noqa: E501


        :return: The customer_number of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._customer_number

    @customer_number.setter
    def customer_number(self, customer_number):
        """Sets the customer_number of this InlineResponse20012.


        :param customer_number: The customer_number of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._customer_number = customer_number

    @property
    def locale(self):
        """Gets the locale of this InlineResponse20012.  # noqa: E501


        :return: The locale of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._locale

    @locale.setter
    def locale(self, locale):
        """Sets the locale of this InlineResponse20012.


        :param locale: The locale of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._locale = locale

    @property
    def language(self):
        """Gets the language of this InlineResponse20012.  # noqa: E501


        :return: The language of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._language

    @language.setter
    def language(self, language):
        """Sets the language of this InlineResponse20012.


        :param language: The language of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._language = language

    @property
    def user_id(self):
        """Gets the user_id of this InlineResponse20012.  # noqa: E501


        :return: The user_id of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._user_id

    @user_id.setter
    def user_id(self, user_id):
        """Sets the user_id of this InlineResponse20012.


        :param user_id: The user_id of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._user_id = user_id

    @property
    def username(self):
        """Gets the username of this InlineResponse20012.  # noqa: E501


        :return: The username of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._username

    @username.setter
    def username(self, username):
        """Sets the username of this InlineResponse20012.


        :param username: The username of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._username = username

    @property
    def acct(self):
        """Gets the acct of this InlineResponse20012.  # noqa: E501


        :return: The acct of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._acct

    @acct.setter
    def acct(self, acct):
        """Sets the acct of this InlineResponse20012.


        :param acct: The acct of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._acct = acct

    @property
    def email(self):
        """Gets the email of this InlineResponse20012.  # noqa: E501


        :return: The email of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._email

    @email.setter
    def email(self, email):
        """Sets the email of this InlineResponse20012.


        :param email: The email of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._email = email

    @property
    def metadata(self):
        """Gets the metadata of this InlineResponse20012.  # noqa: E501


        :return: The metadata of this InlineResponse20012.  # noqa: E501
        :rtype: CspgatewayamapiloggedinuserprofileMetadata
        """
        return self._metadata

    @metadata.setter
    def metadata(self, metadata):
        """Sets the metadata of this InlineResponse20012.


        :param metadata: The metadata of this InlineResponse20012.  # noqa: E501
        :type: CspgatewayamapiloggedinuserprofileMetadata
        """

        self._metadata = metadata

    @property
    def created_at(self):
        """Gets the created_at of this InlineResponse20012.  # noqa: E501


        :return: The created_at of this InlineResponse20012.  # noqa: E501
        :rtype: int
        """
        return self._created_at

    @created_at.setter
    def created_at(self, created_at):
        """Sets the created_at of this InlineResponse20012.


        :param created_at: The created_at of this InlineResponse20012.  # noqa: E501
        :type: int
        """

        self._created_at = created_at

    @property
    def preferred_theme(self):
        """Gets the preferred_theme of this InlineResponse20012.  # noqa: E501


        :return: The preferred_theme of this InlineResponse20012.  # noqa: E501
        :rtype: str
        """
        return self._preferred_theme

    @preferred_theme.setter
    def preferred_theme(self, preferred_theme):
        """Sets the preferred_theme of this InlineResponse20012.


        :param preferred_theme: The preferred_theme of this InlineResponse20012.  # noqa: E501
        :type: str
        """

        self._preferred_theme = preferred_theme

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20012, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20012):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
